<?php
namespace TecDiet\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Method;

class Server extends \Zeedhi\Framework\Controller\Simple {

	const VERSION_STATUS = '1.0';

	public function Server(Request $request, Response $response) {
        try { 
			$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('connection', array(array('version' => self::VERSION_STATUS))));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}