var ProfileController = function(ScreenService, Environment, ProfileService) {
    var containerMain;
    var widgetStripe;
    var widgetMain;
    this.onEnter = function(widget) {
        widget.reload().then(function() {
            widget.moveToFirst();
        });
    };
    var _initStripe = function() {
        widgetStripe.currentRow = Environment.getCurrentPatient();
    };
    var _initContainer = function(container) {
        containerMain = container;
        widgetStripe = container.getWidget('WidgetStripe');
        widgetMain = container.getWidget('WidgetMain');
    };
    this.containerAfterinit = function(container) {
        _initContainer(container);
        _initStripe();
    };
    // EDIT
    this.save = function() {
        ProfileService.save(widgetMain.currentRow).then(function() {
            ScreenService.goBack();
            Environment.lastPatientVisit();
        });
    };
};
Configuration(function(ContextRegister) {
    ContextRegister.register('ProfileController', ProfileController);
});
