Configuration(function(RepositoryFactory, ContextRegister, Query) {
    var EvaluationDataRepository = RepositoryFactory.factory('/EvaluationFields', 'LOCAL');
    EvaluationDataRepository.getMethods = function(method, type) {
        return this.findAll(Query.build().where('method').equals(method).where('type').equals(type));
    };
    ContextRegister.register('EvaluationDataRepository', EvaluationDataRepository);
});
