Configuration(function(RepositoryFactory, ContextRegister, Query) {
    var EvaluationFieldsRepository = RepositoryFactory.factory('/EvaluationsFields', 'LOCAL');
    EvaluationFieldsRepository.getEvaluationByIdAndDate = function(id, date) {
        return this.find(Query.build().where('id').equals(id).where('date').equals(date));
    };
    ContextRegister.register('EvaluationFieldsRepository', EvaluationFieldsRepository);
});
