<?php

namespace TecDiet\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;

class Servico {

    const DATASOURCE_NAME = "operador";
    protected $servicoService;

    public function __construct($servicoService) {
        $this->servicoService = $servicoService;
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
    	$filter = $request->getFilterCriteria();
    	$filter->setDataSourceName(self::DATASOURCE_NAME);
    	$dataSet = $this->servicoService->find($filter);
    	$response->addDataSet($dataSet);
    }
}