window.templateUrl = "./bower_components/zeedhi-frontend/templates/dyman/";
window.serviceUrl = "../backend/service/index.php";
window.projectId = 2473;

var pkg = {
    "product": "./dist",
    "modules": "../../../mobile/assets",
    "zeedhiFramework": "./bower_components/zeedhi-frontend/assets",

    "zh-preferences": "./bower_components/zh-preferences/dist/assets/",
    "zh-filter-preferences": "./bower_components/zh-filter-preferences/dist/assets/",

    "tecdiet": "/workfolder/tecdietApresentacaoEspanhol/mobile/"
};

var templates = {
    "red-ui-fields": "./bower_components/red-ui-fields/dist/templates/",
    "red-ui-header": "./bower_components/red-ui-header/dist/templates/",
    "red-ui-sidenav": "./bower_components/red-ui-sidenav/dist/templates/",
    "zh-filter-preferences": "./bower_components/zh-filter-preferences/dist/templates/"
};

var templateUrls = [];
window.templateUrls = window.templateUrls || [];
window.templateUrls.push({
    package: "zh-customizations-service",
    baseUrl: "./bower_components/zh-customizations-service/src/templates/"
}, {
    package: "zh-select-autocomplete",
    baseUrl: "./bower_components/zh-select-autocomplete/dist/templates/"
}, {
    package: "tecdiet_templates",
    baseUrl: "./tecdiet_templates/templates/"
}, {
    package: "zh-rich-text",
    baseUrl: "./bower_components/zh-rich-text/dist/templates/"
});
var metadataUrls = [];
var serviceUrls = [];

for (var key in templates) {
    templateUrls.push({
        "package": key,
        "baseUrl": templates[key]
    });
}

var pkgBaseUrls = {
    default: window.serviceUrl,
};
var getRealBaseKey = function(keyPkg) {
    var hasAlias = false;
    if (hasAlias) {
        if (pkgBaseUrls.hasOwnProperty(keyPkg)) {
            return keyPkg;
        } else {
            return module || 'product';
        }
    } else {
        return pkgBaseUrls.hasOwnProperty(keyPkg) ? keyPkg : 'default';
    }
};
for (var key in pkg) {
    metadataUrls.push({
        "package": key,
        "baseUrl": pkg[key]
    });
    var keyPkg = key.split('_')[0];
    var realBaseKey = getRealBaseKey(keyPkg);
    var uri = pkgBaseUrls[realBaseKey];

    serviceUrls.push({
        "package": key,
        "baseUrl": uri
    });
};

window.lang = "pt_br";
window.docsUrl = "../bower_components/zeedhi-frontend/docs/dyman/";
window.serviceUrls = serviceUrls;
window.defaultUserImageUrl = "../images/user.jpg";
window.cssUrl = "../css/custom.css";
window.cssStyle = "tecdiet";
window.inDeveloperMode = true;
window.metadataUrls = metadataUrls;
window.useZhuAcl = true;
