var ProfileService = function(ProfilesRepository) {
    this.save = function(row) {
        return ProfilesRepository.getProfileById(row.id).then(function(profile) {
            profile.confidentiality = row.confidentiality;
            profile.eatingHabits = row.eatingHabits;
            profile.foodIntolerance = row.foodIntolerance;
            profile.observation = row.observation;
            profile.lastVisit = moment().format("DD/MM/YYYY HH:MM:ss");
            profile.changed = true;
            return ProfilesRepository.save(profile);
        });
    };
};
Configuration(function(ContextRegister) {
    ContextRegister.register('ProfileService', ProfileService);
});
