var Validation = function() {
    /*global excelFormulaUtilities*/
    var self = this;
    this.isValidField = function(field) {
        if (field) {
            return true;
        } else {
            return false;
        }
    };
    this.formulaToJS = function(FORMULA) {
        var result = FORMULA.split("AND").join("&").replace(/SEXO/g, 'window.SEXO').replace(/IDADE/g, 'window.IDADE').replace(/RESULTADO/g, 'window.RESULTADO');
        var formulaJS = excelFormulaUtilities.formula2JavaScript(result);
        return eval(formulaJS); // jshint ignore:line
    };
    this.strPad = function(i, l, s) {
        // to use
        // _strPad(12, 5); // returns 00012
        // _strPad('abc', 6, '#'); // returns ###abc
        var o = i.toString();
        if (!s) {
            s = '0';
        }
        while (o.length < l) {
            o = s + o;
        }
        return o;
    };
    this.now = function() {
        var now = new Date();
        var day = now.getDate();
        var month = now.getMonth() + 1;
        var year = now.getFullYear();
        var hours = now.getHours();
        var minutes = now.getMinutes();
        var seconds = now.getSeconds();
        return self.strPad(day, 2) + '/' + self.strPad(month, 2) + '/' + year + ' ' + self.strPad(hours, 2) + ':' + self.strPad(minutes, 2) + ':' + self.strPad(seconds, 2);
    };
    this.getDateObject = function(date) {
        var reggie = /(\d{2})\/(\d{2})\/(\d{4}) (\d{2}):(\d{2}):(\d{2})/;
        var dateArray = reggie.exec(date);
        var dateObject = new Date(
            (+dateArray[3]),
            (+dateArray[2]) - 1,
            (+dateArray[1]),
            (+dateArray[4]),
            (+dateArray[5]),
            (+dateArray[6]));
        return dateObject;
    };
    this.getCurrentDateByFormat = function(format) {
        return moment().format(format);
    };
};
Configuration(function(ContextRegister) {
    ContextRegister.register("Validation", Validation);
});
